package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.PosPayOrder;

import java.util.List;

public interface PosPayOrderService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<PosPayOrder> listAsPage(PosPayOrder record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<PosPayOrder> getList(PosPayOrder record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    PosPayOrder getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(PosPayOrder record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
